Subject: Guile 3.0.6 returns zero-indexed locations for ‘read-error’

From: Ludovic Courtès <[email-masked]>
Date: Thu, 29 Apr 2021 00:33:54 +0200

Hi,

Guile 3.0.6 returns zero-indexed (instead of one-indexed) source code
locations for ‘read-error’.  Here’s a 3.0.6/3.0.5 comparison:

--8<---------------cut here---------------start------------->8---
$ /gnu/store/r2nr74rwhpqg16y1lyi6l0jn3lwx4yyz-guile-3.0.6/bin/guile  <(echo '(')
ice-9/read.scm:126:4: In procedure lp:
/dev/fd/63:1:0: unexpected end of input while searching for: )
$ guile  <(echo '(')
ERROR: In procedure primitive-load:
In procedure scm_i_lreadparen: /dev/fd/63:2:1: end of file
--8<---------------cut here---------------end--------------->8---

Ludo’.